Package org.apache.sysds.runtime.transform.meta

# Class TfOffsetMap

java.lang.Object
org.apache.sysds.runtime.transform.meta.TfOffsetMap

All Implemented Interfaces:
  `Serializable`

public class TfOffsetMap extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TfOffsetMap(List<Pair<Long,Long>> rmRows)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getNumRmRows()`
`long`
`getOffset(long oldKey)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TfOffsetMap

public TfOffsetMap(List<Pair<Long,Long>> rmRows)

## Method Details

### getOffset

public long getOffset(long oldKey)

### getNumRmRows

public long getNumRmRows()